typedef struct lbl {
    int mult;
    char* name;
    struct lbl* next_label;
} label;

typedef struct {
    int num;
    label *first_label;
} ev;

ev* eval_expression(char* expr);

int classify_expression(ev* expr);

void exp_to_str(ev* expr, char* out);

#define ET_ERROR 0
#define ET_CONST 1
#define ET_LABEL 2
#define ET_OTHER 3
