#define HT_SIZE 256

typedef struct hashitem {
    int type;
    char* name;
    char* value;
    struct hashitem* next;
    void* misc;
} hash_item;

hash_item** new_hash_table(int size);

int hash_value(char* name);

void hash_add(int type, char* name, char* value, void* misc, hash_item** ht);

hash_item* hash_get(char* name, hash_item** ht);


