#include <stdio.h>

#include "srcguru.h"

void align(source_item* current)
{
    while (current->prev != NULL) {
        if (current->prev->type == ITEM_INSTRUCTION)
            break;
        current = current->prev;
    }
    _add_item(ITEM_CONSTNUM, "32", "", "", current->prev, current);
}

void fix_align()
{
    source_item* current;
    int parity = 0;

    current = z80_source;
    while (current) {
        if (current->type == ITEM_CONSTNUM)
            parity++;
        if (current->type == ITEM_CONSTSTR)
            parity += strlen(txt);
        if (current->type == ITEM_INSTRUCTION)
            if ((parity & 1) != 0) {
                align(current);
                parity = 0;
            }
        current = current->next;
    }
}
